<p align="center"><strong>SQLFMT</strong> - <em>An uncompromising SQL query formatter.</em></p>

<p align="center">
    <a href="https://pypi.org/project/sqlfmt/"><img alt="PyPI Latest Release" src="https://img.shields.io/pypi/v/sqlfmt.svg"></a>
    <a href="https://pypi.org/project/sqlfmt/"><img alt="Package Status" src="https://img.shields.io/pypi/status/sqlfmt.svg"></a>
    <a href="https://github.com/psf/black/"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a>
    <a href="https://pycqa.github.io/isort/"><img alt="Imports: isort" src="https://img.shields.io/badge/%20imports-isort-%231674b1"></a>
</p>

**SQLFMT** is an uncompromising SQL query formatter, which provides one and only one way to format the SQL query.

Our goal is to make code reviews faster by producing the smallest diffs possible. You will save time and mental energy on more important matters.

*Please note that this project is still in the planning stage and everything may be changed in the future.*

## Examples

### Before

```sql
SeLEct  1, blah as  fOO  from myTable
```

### After

```sql
SELECT
  1,
  blah AS foo
FROM mytable
```

## Installation

Install `sqlfmt` from [Python Package Index](https://pypi.org/project/sqlfmt/):

```
pip install sqlfmt
```
